Description: Adjust paths
 Paths are adjusted to meet the locations where the relevant files are
 placed in Debian systems.
Author: Rock Storm <rockstorm@gmx.com>
Forwarded: not-needed
Last-Update: 2020-12-28 
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/src/arduino.cc/builder/hardware/platform.txt
+++ b/src/arduino.cc/builder/hardware/platform.txt
@@ -1,7 +1,7 @@
 # ctags
 # ------------------------------
-tools.ctags.path={runtime.tools.ctags.path}
-tools.ctags.cmd.path={path}/ctags
+tools.ctags.path=/usr/bin
+tools.ctags.cmd.path={path}/arduino-ctags
 tools.ctags.pattern="{cmd.path}" -u --language-force=c++ -f - --c++-kinds=svpf --fields=KSTtzns --line-directives "{source_file}"
 
 # additional entries
--- a/src/arduino.cc/builder/hardware/platform.keys.rewrite.txt
+++ b/src/arduino.cc/builder/hardware/platform.keys.rewrite.txt
@@ -39,4 +39,8 @@
 
 #generic again
 old.12.recipe.preproc.macros="{compiler.path}{compiler.cpp.cmd}" {compiler.cpp.flags} {preproc.macros.flags} -mmcu={build.mcu} -DF_CPU={build.f_cpu} -DARDUINO={runtime.ide.version} -DARDUINO_{build.board} -DARDUINO_ARCH_{build.arch} {compiler.cpp.extra_flags} {build.extra_flags} {includes} "{source_file}"
-new.12.recipe.preproc.macros="{compiler.path}{compiler.cpp.cmd}" {compiler.cpp.flags} {preproc.macros.flags} -mmcu={build.mcu} -DF_CPU={build.f_cpu} -DARDUINO={runtime.ide.version} -DARDUINO_{build.board} -DARDUINO_ARCH_{build.arch} {compiler.cpp.extra_flags} {build.extra_flags} {includes} "{source_file}" -o "{preprocessed_file_path}"
\ No newline at end of file
+new.12.recipe.preproc.macros="{compiler.path}{compiler.cpp.cmd}" {compiler.cpp.flags} {preproc.macros.flags} -mmcu={build.mcu} -DF_CPU={build.f_cpu} -DARDUINO={runtime.ide.version} -DARDUINO_{build.board} -DARDUINO_ARCH_{build.arch} {compiler.cpp.extra_flags} {build.extra_flags} {includes} "{source_file}" -o "{preprocessed_file_path}"
+
+# Debian specific for AVR boards
+old.13.compiler.path={runtime.tools.avr-gcc.path}/bin/
+new.13.compiler.path=/usr/bin/
--- a/src/arduino.cc/builder/test/platform_keys_rewrite_loader_test.go
+++ b/src/arduino.cc/builder/test/platform_keys_rewrite_loader_test.go
@@ -54,7 +54,7 @@
 
 	platformKeysRewrite := ctx.PlatformKeyRewrites
 
-	require.Equal(t, 13, len(platformKeysRewrite.Rewrites))
+	require.Equal(t, 14, len(platformKeysRewrite.Rewrites))
 	require.Equal(t, constants.BUILD_PROPERTIES_COMPILER_PATH, platformKeysRewrite.Rewrites[0].Key)
 	require.Equal(t, "{runtime.ide.path}/hardware/tools/avr/bin/", platformKeysRewrite.Rewrites[0].OldValue)
 	require.Equal(t, "{runtime.tools.avr-gcc.path}/bin/", platformKeysRewrite.Rewrites[0].NewValue)
